Get metadata on all Emails
Paginate through all emails in Affinity. Returns basic information about the email interaction and its participants. Will only return emails or subject lines that the current authenticated user has permission to see.
Email bodies (the message content) are not available through the API. Only metadata such as the subject, participants, and timestamps is returned.
If the authenticated user does not have permission to see an email’s subject, the subject
field is obfuscated and returned as ******** rather than the actual subject line.
You can filter emails using the filter query parameter. The filter parameter is a string that you can specify conditions based on the following properties.
| Property Name | Type | Allowed Operators | Examples |
|---|---|---|---|
id | int64 | = | id=1|id=2|id=3 |
sentAt | datetime | >, <, >=, <= | sentAt>2025-01-01T01:00:00Z |
createdAt | datetime | >, <, >=, <= | createdAt<2025-01-01T01:00:00Z |
updatedAt | datetime | >, <, >=, <= | updatedAt>=2025-01-01T01:00:00Z |
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Cursor for the next or previous page
"ICAgICAgYmVmb3JlOjo6Nw"
Number of items to include in the page
1 <= x <= 100100
Filter options